<?php

$pexeto_slider_options= array( array(
"name" => "Slider Settings",
"type" => "title",
"img" => PEXETO_IMAGES_URL."icon_slider.png"
),

array(
"type" => "open",
"subtitles"=>array(array("id"=>"thumbnail", "name"=>"Thumbnail Slider"), array("id"=>"accordion", "name"=>"Accordion Slider"), array("id"=>"nivo", "name"=>"Nivo Slider"))
),

/* ------------------------------------------------------------------------*
 * THUMBNAIL SLIDER
 * ------------------------------------------------------------------------*/

array(
"type" => "subtitle",
"id"=>'thumbnail'
),

array(
"name" => "Automatic image resizing",
"id" => $shortname."_thum_auto_resize",
"type" => "checkbox",
"std" => 'off',
"desc" => 'If ON selected, the images will be resized automatically.'
),

array(
"name" => "Autoplay",
"id" => $shortname."_thum_autoplay",
"type" => "checkbox",
"std" => 'on',
"desc" => 'If ON selected, the images will rotate automatically'
),

array(
"name" => "Rotate Interval",
"id" => $shortname."_thum_interval",
"type" => "text",
"desc" => "The interval between changing the images when autoplay is enabled (in miliseconds)",
"std" => '4000'
),

array(
"name" => "Pause Interval",
"id" => $shortname."_thum_pause",
"type" => "text",
"desc" => "The pause interval (in miliseconds)- when an user clicks on an image or arrow, the autoplay pauses for this interval of time",
"std" => '5000'
),

array(
"name" => "Pause on hover",
"id" => $shortname."_thum_pause_hover",
"type" => "checkbox",
"std" => 'on',
"desc" => 'If ON selected, when the user hovers the image, the automatic rotation will pause.'
),


array(
"name"=>"Add Thumbnail Slider Image",
"id"=>'thumbnail_slider',
"type"=>"custom",
"button_text"=>'Add image',
"preview"=>"_thum_image_name",
"fields"=>array(
	array('id'=>'_thum_image_name', 'type'=>'upload', 'name'=>'Image URL'),
	array('id'=>'_thum_image_link', 'type'=>'text', 'name'=>'Image Link'),
	array('id'=>'_thum_image_desc', 'type'=>'textarea', 'name'=>'Image Description')
)
),

array(
"type"=>"multiple_custom",
"refers"=>"_thum_slider_names",
"button_text"=>'Add image',
"preview"=>"_thum_image_name",
"name"=>"Add image to ",
"fields"=>array(
	array('id'=>'_thum_image_name', 'type'=>'upload', 'name'=>'Image URL'),
	array('id'=>'_thum_image_link', 'type'=>'text', 'name'=>'Image Link'),
	array('id'=>'_thum_image_desc', 'type'=>'textarea', 'name'=>'Image Description')
)
),

array(
"name"=>"Add new thumbnail slider",
"id"=>'thumbnail_sliders',
"type"=>"custom",
"button_text"=>'Add Slider',
"desc" => 'You can add a new slider and insert a different set of images to it. After you add the new
slider, you have to press the "Save Changes" button.  After this the new section for adding images for the new slider
should be displayed just above this field.',
"fields"=>array(
	array('id'=>'_thum_slider_name', 'type'=>'text', 'name'=>'Slider Name')
)
),


array(
"type" => "close"),

/* ------------------------------------------------------------------------*
 * ACCORDION SLIDER
 * ------------------------------------------------------------------------*/

array(
"type" => "subtitle",
"id"=>'accordion'
),

array(
"name" => "Automatic image resizing",
"id" => $shortname."_accord_auto_resize",
"type" => "checkbox",
"std" => 'off',
"desc" => 'If enabled, the images will be resized automatically.'
),

array(
"name"=>"Add Accordion Slider Image",
"id"=>'accordion_slider',
"type"=>"custom",
"button_text"=>'Add image',
"preview"=>"_accord_image_name",
"fields"=>array(
	array('id'=>'_accord_image_name', 'type'=>'upload', 'name'=>'Image URL'),
	array('id'=>'_accord_image_title', 'type'=>'text', 'name'=>'Image Title'),
	array('id'=>'_accord_image_link', 'type'=>'text', 'name'=>'Image Link'),
	array('id'=>'_accord_image_desc', 'type'=>'textarea', 'name'=>'Image Description')
)
),

array(
"type"=>"multiple_custom",
"refers"=>"_accord_slider_names",
"button_text"=>'Add image',
"preview"=>"_accord_image_name",
"name"=>"Add image to ",
"fields"=>array(
	array('id'=>'_accord_image_name', 'type'=>'upload', 'name'=>'Image URL'),
	array('id'=>'_accord_image_title', 'type'=>'text', 'name'=>'Image Title'),
	array('id'=>'_accord_image_link', 'type'=>'text', 'name'=>'Image Link'),
	array('id'=>'_accord_image_desc', 'type'=>'textarea', 'name'=>'Image Description')
)
),

array(
"name"=>"Add new accordion slider",
"id"=>'accordion_sliders',
"type"=>"custom",
"desc" => 'You can add a new slider and insert a different set of images to it. After you add the new
slider, you have to press the "Save Changes" button.  After this the new section for adding images for the new slider
should be displayed just above this field.',
"button_text"=>'Add Slider',
"fields"=>array(
	array('id'=>'_accord_slider_name', 'type'=>'text', 'name'=>'Slider Name')
)
),




array(
"type" => "close"),

/* ------------------------------------------------------------------------*
 * NIVO SLIDER
 * ------------------------------------------------------------------------*/

array(
"type" => "subtitle",
"id"=>'nivo'
),


array(
"name" => "Automatic image resizing",
"id" => $shortname."_nivo_auto_resize",
"type" => "checkbox",
"std" => 'off',
"desc" => 'If enabled, the images will be resized automatically.'
),

array(
"name" => "Navigation",
"id" => $shortname."_nivo_navigation",
"type" => "select",
"options" => array(array('id'=>'none','name'=>'None'), array('id'=>'buttons','name'=>'Buttons'), array('id'=>'arrows','name'=>'Arrows'), array('id'=>'butarr','name'=>'Buttons and Arrows')),
"std" => 'none'
),

array(
"name" => "Animation Effect",
"id" => $shortname."_nivo_animation",
"type" => "select",
"options" => array(array('id'=>'random','name'=>'Random'),array('id'=>'fold','name'=>'Fold'),array('id'=>'fade','name'=>'Fade'),
array('id'=>'sliceDown','name'=>'Slice Down'),array('id'=>'sliceDownLeft','name'=>'Slice Down Left'),array('id'=>'sliceUp','name'=>'Slice Up'),
array('id'=>'sliceUpDown','name'=>'Slice Up Down'),array('id'=>'sliceUpLeft','name'=>'Slice Up Left'),array('id'=>'sliceUpDownLeft','name'=>'Slice Up Down Left')),
"std" => 'random'
),

array(
"name" => "Number of slices",
"id" => $shortname."_nivo_slices",
"type" => "text",
"std" => "15"
),

array(
"name" => "Animation Speed",
"id" => $shortname."_nivo_speed",
"type" => "text",
"std" => "800",
"desc" => "The animation speed in miliseconds"
),

array(
"name" => "Pause interval",
"id" => $shortname."_nivo_interval",
"type" => "text",
"std" => "3000",
"desc" => "The time interval between image changes in miliseconds"
),

array(
"name" => "Autoplay",
"id" => $shortname."_nivo_autoplay",
"type" => "checkbox",
"std" => 'on',
"desc" => 'If enabled, the images will rotate automatically'
),

array(
"name" => "Pause on hover",
"id" => $shortname."_nivo_pause_hover",
"type" => "checkbox",
"std" => 'on',
"desc" => 'If enabled, when the user hovers the image, the automatic rotation will pause.'
),

array(
"name"=>"Add Nivo Slider Image",
"id"=>'nivo_slider',
"type"=>"custom",
"button_text"=>'Add image',
"preview"=>"_nivo_image_name",
"fields"=>array(
	array('id'=>'_nivo_image_name', 'type'=>'upload', 'name'=>'Image URL'),
	array('id'=>'_nivo_image_link', 'type'=>'text', 'name'=>'Image Link'),
	array('id'=>'_nivo_image_desc', 'type'=>'textarea', 'name'=>'Image Description')
)
),

array(
"type"=>"multiple_custom",
"refers"=>"_nivo_slider_names",
"button_text"=>'Add image',
"preview"=>"_nivo_image_name",
"name"=>"Add image to ",
"fields"=>array(
	array('id'=>'_nivo_image_name', 'type'=>'upload', 'name'=>'Image URL'),
	array('id'=>'_nivo_image_link', 'type'=>'text', 'name'=>'Image Link'),
	array('id'=>'_nivo_image_desc', 'type'=>'textarea', 'name'=>'Image Description')
)
),

array(
"name"=>"Add new Nivo slider",
"id"=>'nivo_sliders',
"type"=>"custom",
"button_text"=>'Add Slider',
"desc" => 'You can add a new slider and insert a different set of images to it. After you add the new
slider, you have to press the "Save Changes" button.  After this the new section for adding images for the new slider
should be displayed just above this field.',
"fields"=>array(
	array('id'=>'_nivo_slider_name', 'type'=>'text', 'name'=>'Slider Name')
)
),


array(
"type" => "close"),


array(
"type" => "close"));

$new_pexeto_slider_options = pexeto_add_custom_options($pexeto_slider_options);

$pexeto_options_manager->add_options($new_pexeto_slider_options);